Subject: Re: Stability of MontaVista's 2.4.0-test2-1.2.2-1

From: "Mark A. Greer" <[email-masked]>
Date: Wed, 28 Mar 2001 14:10:33 -0700

That version of the kernel does have problems.  Get the latest linuxppc_2_5
source and try that.  I haven't tested the last couple weeks but before then,
it was very solid.  Sandpoint support is in it.

Mark
--

Sébastien Côté wrote:

> Hi,
>
> Did anyone have stability problem with MontaVista's kernel
> 2.4.0=test2-1.2.2-1 ???  I'm running  it on a board similar to Sandpoint
> with a 7400 processor and sometimes it crashes because "current->mm ==
> NULL" (from do_page_fault).
>
> I'm not using any initrd but a shell (ash) instead.  This seems to
> happen when I run a lot of programs in my script.  I also seems to be
> related to a synchronisation problem since it gets a lot more stable
> when I add "printk"s in the functions switch_mm and activate_mm.
>
> This could also be related to the fact that I'm running in little-endian
> but since it only crashes once in a while, I would doubt it!  So I'm a
> bit suspicious about this test kernel, did anybody else have problems
> with it??
>
> Sébas..
>

--
Mark A. Greer ([email-masked]; 480-517-0287)
MontaVista Software, Inc.
2141 E. Broadway Road, Suite 108
Tempe, AZ  85282

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/